module RoundedRect(x, y, r, h) {
	translate([r, r, 0])
	minkowski(){
		cylinder(r = r, h = h);
		cube([x - (2 * r), y - (2 * r), h]);
	}
}

$fn = 64;

difference(){
	union(){
		translate([-5,-5,0])
		RoundedRect(10,10,1,1);

		translate([0,0,1])
		cylinder(r1=4, r2=1, h=15);
	}
}
	
